An import with every row and its match
GET
/v1/workspace/imports/{import_id}
const url = 'https://api.vocapable.com/v1/workspace/imports/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/imports/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”import_id
required
Import Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceLeadImportDetail
object
id
required
Id
string
source
required
Source
string
status
required
Status
string
headers
required
Headers
Array<string>
mapping
required
Mapping
object
key
additional properties
string
sample_rows
required
Sample Rows
Array<Array<string>>
fields
required
Fields
Array<object>
WorkspaceLeadFieldOptionobject
key
required
Key
string
label
required
Label
string
counts
required
WorkspaceLeadImportCounts
What the list holds and, after a commit, what happened. outreach_scheduled is
always zero: an import never schedules outreach.
object
total
Total
integer
new
New
integer
existing
Existing
integer
ambiguous
Ambiguous
integer
suppressed
Suppressed
integer
invalid
Invalid
integer
awaiting_decision
Awaiting Decision
integer
to_create
To Create
integer
to_link
To Link
integer
to_skip
To Skip
integer
created
Created
integer
linked
Linked
integer
skipped
Skipped
integer
failed
Failed
integer
outreach_scheduled
Outreach Scheduled
integer
0assign_to
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
created_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
acknowledged_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
rows
required
Rows
Array<object>
WorkspaceLeadImportRowobject
id
required
Id
string
row_number
required
Row Number
integer
match_kind
required
Match Kind
string
suppressed
required
Suppressed
boolean
reason
required
Reason
string
decision
required
Decision
string
result
required
Result
string
lead
required
WorkspaceLeadSummary
object
warnings
required
Warnings
Array<string>
candidates
required
Candidates
Array<object>
WorkspaceLeadCandidateAn existing person (or business) the lead could be.
kept_owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
attempts
required
Attempts
integer
Example
{ "source": "csv", "status": "uploaded", "fields": [ { "key": "company" } ], "counts": { "total": 0, "new": 0, "existing": 0, "ambiguous": 0, "suppressed": 0, "invalid": 0, "awaiting_decision": 0, "to_create": 0, "to_link": 0, "to_skip": 0, "created": 0, "linked": 0, "skipped": 0, "failed": 0, "outreach_scheduled": 0 }, "rows": [ { "match_kind": "new", "underlying_kind": "new", "decision": "pending", "result": "pending", "candidates": [ { "signal": "phone" } ] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}